// file futurpri.cc
// author: Bernt A Oedegaard.

#include <cmath>

double futures_price(double S,                     // value of underlying
		     double r,                     // risk free interest
		     double time_to_maturity) {
    return exp(r*time_to_maturity)*S;
};
