// file payoff_max_min

#include <vector.h>
#include <algo.h>

double payoff_max(vector<double>& prices) {
   double m = *max_element(prices.begin(),prices.end());
   return m-prices.back(); // max is always larger or equal.
};

double payoff_min(vector<double>& prices) {
   double m = *min_element(prices.begin(),prices.end()); 
   return prices.back()-m; // always positive or zero
};

