void test_random() {
   cout << "Test of random number generators " << endl;
   cout << " random numbers generated " << endl;
   cout << " uniform [0,1) " << endl;
   for (int i=0;i<5;i++) { cout << " " << random_uniform();};   cout << endl;

   cout << " uniform [10,15) " << endl;
   for (int i=0;i<5;i++) { cout << " " << random_uniform(10.0, 15.0);}; cout << endl;

   cout << " normal(0,1) " << endl;
   for (int i=0;i<5;i++) { cout << " " << random_normal();};   cout << endl;

   cout << " normal 0 0.05 " << endl;
   for (int i=0;i<5;i++) { cout << " " << random_normal(0.0,0.05);};
   cout << endl;
   
   double sum=0;
   const int no_sims=100000;
   for (int i=0;i<no_sims;i++){ sum+=random_normal(); };
   cout << " average of random normal (should be zero): " << sum/no_sims << endl;
   sum=0;
   for (int i=0;i<no_sims;i++){ sum+=random_uniform(); };
   cout << " average of random uniform (should be 0.5): " << sum/no_sims << endl;

};
