#include "fin_algoritms.h"

void test_bondopt_vasicek(){
    cout << "TESTING Bond option, Vasicek " << endl;
    double a = 0.1;
    double b = 0.1;
    double sigma = 0.02;
    double r = 0.05;
    cout << " discount factor, t=1: " 
	 << term_structure_discount_factor_vasicek(1.0,r,a,b,sigma)
	 << endl;
    double X=0.9;
    cout << " call option price "
	 << bond_option_price_call_zero_vasicek(X,r,1,5,a,b,sigma)
	 << endl;
    cout << " put option price "
	 << bond_option_price_put_zero_vasicek(X,r,1,5,a,b,sigma)
	 << endl;
    cout << "DONE testing bond options Vasicek" << endl;
};
